<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/CapabilityAgents/AIP/include/AIP/ASRProfile.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_7cf910bd1d7603f12ef47ff650cec893.html">CapabilityAgents</a></li><li class="navelem"><a class="el" href="dir_cc045affa42b6b559da6861739bda652.html">AIP</a></li><li class="navelem"><a class="el" href="dir_7702e81a4574d959c78d0e2207e83661.html">include</a></li><li class="navelem"><a class="el" href="dir_99c44a41b01529fab191699ee73b1155.html">AIP</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">ASRProfile.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_a_s_r_profile_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright 2017-2018 Amazon.com, Inc. or its affiliates. All Rights Reserved.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;).</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * You may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * A copy of the License is located at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *     http://aws.amazon.com/apache2.0/</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * or in the &quot;license&quot; file accompanying this file. This file is distributed</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * express or implied. See the License for the specific language governing</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * permissions and limitations under the License.</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#ifndef ALEXA_CLIENT_SDK_CAPABILITYAGENTS_AIP_INCLUDE_AIP_ASRPROFILE_H_</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#define ALEXA_CLIENT_SDK_CAPABILITYAGENTS_AIP_INCLUDE_AIP_ASRPROFILE_H_</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a> {</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents.html">   22</a></span>&#160;<span class="keyword">namespace </span>capabilityAgents {</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html">   23</a></span>&#160;<span class="keyword">namespace </span>aip {</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &lt;ostream&gt;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00031"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">   31</a></span>&#160;<span class="keyword">enum class</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> {</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025">CLOSE_TALK</a>,</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325">NEAR_FIELD</a>,</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718">FAR_FIELD</a></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;};</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9bba266e6b0d85bbcc952295c1370bc1">   47</a></span>&#160;<span class="keyword">inline</span> std::ostream&amp; <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9bba266e6b0d85bbcc952295c1370bc1">operator&lt;&lt;</a>(std::ostream&amp; stream, <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> profile) {</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordflow">switch</span> (profile) {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025">ASRProfile::CLOSE_TALK</a>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;CLOSE_TALK&quot;</span>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325">ASRProfile::NEAR_FIELD</a>:</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;NEAR_FIELD&quot;</span>;</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718">ASRProfile::FAR_FIELD</a>:</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;            stream &lt;&lt; <span class="stringliteral">&quot;FAR_FIELD&quot;</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">return</span> stream;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;}</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a5556314706757fd4965ac60ef20738f0">   68</a></span>&#160;<span class="keyword">inline</span> std::string <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a5556314706757fd4965ac60ef20738f0">asrProfileToString</a>(<a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">ASRProfile</a> profile) {</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">switch</span> (profile) {</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025">ASRProfile::CLOSE_TALK</a>:</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;CLOSE_TALK&quot;</span>;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325">ASRProfile::NEAR_FIELD</a>:</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;NEAR_FIELD&quot;</span>;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;        <span class="keywordflow">case</span> <a class="code" href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718">ASRProfile::FAR_FIELD</a>:</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;            <span class="keywordflow">return</span> <span class="stringliteral">&quot;FAR_FIELD&quot;</span>;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    }</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keywordflow">return</span> <span class="stringliteral">&quot;&quot;</span>;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;}</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;}  <span class="comment">// namespace aip</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;}  <span class="comment">// namespace capabilityAgents</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;}  <span class="comment">// namespace alexaClientSDK</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#endif  // ALEXA_CLIENT_SDK_CAPABILITYAGENTS_AIP_INCLUDE_AIP_ASRPROFILE_H_</span></div><div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_a5556314706757fd4965ac60ef20738f0"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a5556314706757fd4965ac60ef20738f0">alexaClientSDK::capabilityAgents::aip::asrProfileToString</a></div><div class="ttdeci">std::string asrProfileToString(ASRProfile profile)</div><div class="ttdef"><b>Definition:</b> ASRProfile.h:68</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_a9bba266e6b0d85bbcc952295c1370bc1"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a9bba266e6b0d85bbcc952295c1370bc1">alexaClientSDK::capabilityAgents::aip::operator&lt;&lt;</a></div><div class="ttdeci">std::ostream &amp; operator&lt;&lt;(std::ostream &amp;stream, ASRProfile profile)</div><div class="ttdef"><b>Definition:</b> ASRProfile.h:47</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_a12e954e666da508165ebfb7ce4466b2d"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2d">alexaClientSDK::capabilityAgents::aip::ASRProfile</a></div><div class="ttdeci">ASRProfile</div><div class="ttdef"><b>Definition:</b> ASRProfile.h:31</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_html"><div class="ttname"><a href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></div><div class="ttdoc">Whether or not curl logs should be emitted. </div><div class="ttdef"><b>Definition:</b> AVSConnectionManager.h:37</div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2daa8e929fc5b05bcd369ebadadcb4a5718">alexaClientSDK::capabilityAgents::aip::ASRProfile::FAR_FIELD</a></div><div class="ttdoc">Cloud determines end of user speech (0 to 20+ ft). </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2da7683c793f1384a54b3dc5d0c9416e325">alexaClientSDK::capabilityAgents::aip::ASRProfile::NEAR_FIELD</a></div><div class="ttdoc">Cloud determines end of user speech (0 to 5 ft). </div></div>
<div class="ttc" id="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip_html_a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025"><div class="ttname"><a href="namespacealexa_client_s_d_k_1_1capability_agents_1_1aip.html#a12e954e666da508165ebfb7ce4466b2dabdb500e22c9434ede56add466a99f025">alexaClientSDK::capabilityAgents::aip::ASRProfile::CLOSE_TALK</a></div><div class="ttdoc">Client determines end of user speech (0 to 2.5 ft). </div></div>
</div><!-- fragment --></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
